webpackJsonp([0],{

/***/ 163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppConfig; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__ = __webpack_require__(278);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(164);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var AppConfig = (function () {
    function AppConfig(storage) {
        this.storage = storage;
    }
    AppConfig.prototype.set = function (alertLevel) {
        this.storage.set("app-alertLevel", alertLevel).then(function (val) { }, function (err) {
            console.log(err);
        });
    };
    AppConfig.prototype.get = function () {
        return this.storage.get("app-alertLevel");
    };
    AppConfig = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["L" /* Injectable */])(), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_2__ionic_storage__["a" /* Storage */]])
    ], AppConfig);
    return AppConfig;
}());
//# sourceMappingURL=app-config.js.map

/***/ }),

/***/ 202:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_home_service__ = __webpack_require__(449);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__account_account__ = __webpack_require__(558);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_native__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_observable_TimerObservable__ = __webpack_require__(715);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_observable_TimerObservable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_observable_TimerObservable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/*
 Generated class for the LoginPage page.

 See http://ionicframework.com/docs/v2/components/#navigation for more info on
 Ionic pages and navigation.
 */
var HomePage = (function () {
    function HomePage(nav, homeService, platform, loadingController) {
        var _this = this;
        this.nav = nav;
        this.homeService = homeService;
        this.platform = platform;
        this.loadingController = loadingController;
        this.rows = {};
        this.latestReading = {};
        this.showPage = false;
        this.colour = "black";
        // when platform ready, init map
        platform.ready().then(function () {
            var timer = __WEBPACK_IMPORTED_MODULE_5_rxjs_observable_TimerObservable__["TimerObservable"].create(0, 120000);
            timer.subscribe(function (t) {
                _this.init();
            });
        });
    }
    HomePage.prototype.init = function () {
        var _this = this;
        this.myLoadingPresent();
        this.homeService.getData().subscribe(function (res) {
            _this.rows = res.rows;
            _this.latestReading = res.latestReading;
            _this.colour = res.latestReading.colour;
            _this.showPage = true;
            _this.headerImage =
                "http://aurorawatch.lancs.ac.uk/api/n40jpj.com/0.1/rolling.png";
            _this.headerImage2 =
                "http://services.swpc.noaa.gov/images/animations/ovation-north/latest.jpg";
            _this.headerImage3 =
                "http://aurorawatch.lancs.ac.uk/summary/stackplots/rolling.png";
            _this.headerImage4 =
                "http://aurorawatch.lancs.ac.uk/summary/alerting-site-rolling-magnetogram.png?";
            _this.pageLoader.dismiss();
        }, function (err) { return function () {
            console.log(err);
            _this.showPage = true;
            _this.pageLoader.dismiss();
        }; });
        this.pagerOptions = { loop: true, pager: true };
    };
    HomePage.prototype.myLoadingPresent = function () {
        this.pageLoader = this.loadingController.create({
            content: "Please wait..."
        });
        this.pageLoader.present();
    };
    HomePage.prototype.onSlideChanged = function () {
        //document.body.scrollTop = 0;
        //window.scrollTo(0, 0);
    };
    // to go account page
    HomePage.prototype.goToAccount = function () {
        this.nav.push(__WEBPACK_IMPORTED_MODULE_3__account_account__["a" /* AccountPage */]);
    };
    HomePage.prototype.viewImage = function (imageURL) {
        __WEBPACK_IMPORTED_MODULE_4_ionic_native__["a" /* PhotoViewer */].show(imageURL);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_21" /* ViewChild */])("mySlider"), 
        __metadata('design:type', __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Slides */])
    ], HomePage.prototype, "slider", void 0);
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["x" /* Component */])({
            selector: "page-home",template:/*ion-inline-start:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/home/home.html"*/'<!--\n  Generated template for the ProfilePage page.\n\n  See http://ionicframework.com/docs/v2/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header class="no-shadow">\n  <ion-navbar class="no-border" [style.background-color]="colour">\n    <ion-title>AuroraWatch UK</ion-title>\n    <ion-buttons end>\n      <button ion-button (click)="goToAccount()">\n        <ion-icon item-right name="more"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content *ngIf="showPage" class="common-bg">\n  <ion-slides #mySlider class="to-top" [options]="pagerOptions" (ionDidChange)="onSlideChanged()">\n    <ion-slide>\n\n      <div class="rooms" id="rooms">\n        <div class="border-bottom" padding>\n          <div class="card" [style.background-color]="colour">\n            <div class="border-bottom" padding>\n              <h1>Current: {{latestReading.nTValue}}nT</h1>\n            </div>\n            <div padding>\n              <div>\n                <div style="text-center">\n                  <p color="dark" class="bold">Station: {{latestReading.station | uppercase}}</p>\n                  <p color="dark" class="bold">Recorded at: {{latestReading.shortDate}}</p>\n                  <p color="dark" class="bold" [style.word-wrap]="break-word">{{ latestReading.colourText}} - {{ latestReading.colourDescription }}</p>\n                </div>\n              </div>\n            </div>\n\n          </div>\n        </div>\n\n\n\n\n\n\n      </div>\n\n    </ion-slide>\n\n    <ion-slide>\n      <ion-row>\n        <ion-col>\n          <img class="sliderCenterImage" [src]="headerImage" alt="" (click)="viewImage(headerImage)">\n        </ion-col>\n      </ion-row>\n    </ion-slide>\n    <ion-slide>\n      <ion-row>\n        <ion-col>\n          <img class="sliderCenterImage" [src]="headerImage3" alt="" (click)="viewImage(headerImage3)">\n        </ion-col>\n      </ion-row>\n    </ion-slide>\n    <ion-slide>\n      <ion-row>\n        <ion-col>\n          <img class="sliderCenterImage" [src]="headerImage4" alt="" (click)="viewImage(headerImage4)">\n        </ion-col>\n      </ion-row>\n    </ion-slide>\n    <ion-slide>\n      <ion-row>\n        <ion-col>\n          <img class="sliderCenterImage" [src]="headerImage2" alt="" (click)="viewImage(headerImage2)">\n        </ion-col>\n      </ion-row>\n    </ion-slide>\n\n\n\n\n\n  </ion-slides>\n\n\n  <ul class="timeline ">\n    <li *ngFor="let row of rows; let odd=odd; let even=even;">\n      <div [ngClass]="{\'direction-r\':odd, \'direction-l\':even }">\n        <div class="card" [style.background-color]="row.colour" [style.border-color]="row.colour" [style.background]="row.colour">\n          <div class="border-bottom" padding>\n            <div style="text-center">\n              <h1>{{row.nTValue}}nT</h1>\n              <p color="dark" class="bold" [style.word-wrap]="break-word">{{row.shortDate}}</p>\n              <p color="dark" [style.word-wrap]="break-word">{{ row.colourMeaning }}</p>\n            </div>\n          </div>\n\n        </div>\n      </div>\n    </li>\n  </ul>\n\n\n\n\n\n</ion-content>\n'/*ion-inline-end:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/home/home.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_home_service__["a" /* HomeService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* LoadingController */]])
    ], HomePage);
    return HomePage;
}());
//# sourceMappingURL=home.js.map

/***/ }),

/***/ 223:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 223;

/***/ }),

/***/ 448:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IntroPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__home_home__ = __webpack_require__(202);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the Intro page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
var IntroPage = (function () {
    function IntroPage(navCtrl) {
        this.navCtrl = navCtrl;
    }
    IntroPage.prototype.goToHome = function () {
        this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_2__home_home__["a" /* HomePage */]);
    };
    IntroPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["x" /* Component */])({
            selector: 'page-intro',template:/*ion-inline-start:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/intro/intro.html"*/'<ion-slides pager>\n\n  <ion-slide>\n    <h3>Thank you for using AuroraWatch UK</h3>\n    <div id="logo">\n      <img class="full-width" src="assets/icon512.png" alt="">\n    </div>\n    <p>\n      If upgrading please remember to re-select your alert level\n    </p>\n    <button ion-button round outline (click)="goToHome()">Start Using AuroraWatch UK</button>\n  </ion-slide>\n \n\n</ion-slides>'/*ion-inline-end:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/intro/intro.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* NavController */]])
    ], IntroPage);
    return IntroPage;
}());
//# sourceMappingURL=intro.js.map

/***/ }),

/***/ 449:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeService; });
/* unused harmony export PushProcessingService */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(282);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do__ = __webpack_require__(704);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_add_operator_do__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch__ = __webpack_require__(706);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_rxjs_add_operator_catch__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__ = __webpack_require__(278);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_moment___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_moment__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var HomeService = (function () {
    function HomeService(http) {
        this.http = http;
    }
    HomeService.prototype.getData = function () {
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]();
        headers.append('User-Agent', 'AuroraWatch UK (n40jpj.com)');
        return this.http.get('https://aurorawatch-api.lancs.ac.uk/0.2/status/alerting-site-activity.xml', headers)
            .map(function (res) {
            var xml = res.text();
            var activities = xml.split('<activity status_id="');
            return activities;
        })
            .map(function (activityRows) {
            var rows = [];
            var station = "";
            activityRows.forEach(function (row) {
                var datetime = row.split('datetime>')[1].split('<')[0];
                var valueString = row.split('</value>')[0].split('>')[4];
                if (row.indexOf('" site_url="') > -1) {
                    station = row.split('" site_url="')[0].split('site_id="site:')[1];
                }
                var colour = row.split('"')[0];
                var colourText = "";
                var colourDescription = "";
                var colourMeaning = "";
                if (colour.indexOf("green") > -1) {
                    colourText = "Green";
                    colourDescription = "No significant activity";
                    colourMeaning = "Aurora is unlikely to be seen from anywhere in the UK";
                    colour = "rgba(51, 255, 51, 0.7)";
                }
                if (colour.indexOf("yellow") > -1) {
                    colourText = "Yellow";
                    colourDescription = "Minor geomagnetic activity";
                    colourMeaning = "Aurora is unlikely to be visible from the UK except perhaps the extreme north of Scotland";
                    colour = "rgba(255, 255, 0, 0.7)";
                }
                if (colour.indexOf("amber") > -1) {
                    colourText = "Amber";
                    colourDescription = "Amber alert: possible aurora";
                    colourMeaning = "Aurora is likely to be visible from Scotland, northern England and Northern Ireland";
                    colour = "rgba(255, 153, 0, 0.7)";
                }
                if (colour.indexOf("red") > -1) {
                    colourText = "Red";
                    colourDescription = "Red alert: aurora likely";
                    colourMeaning = "It is likely that aurora will be visible from everywhere in the UK";
                    colour = "rgba(255,0,0, 0.7)";
                }
                var activityRow = {
                    shortDate: __WEBPACK_IMPORTED_MODULE_6_moment___default()(datetime).format('Do MMMM YYYY h:mm a'),
                    nTValue: row[2] == "NaN" ? "-" : valueString,
                    colour: colour,
                    colourText: colourText,
                    colourDescription: colourDescription,
                    colourMeaning: colourMeaning,
                    station: station
                };
                rows.unshift(activityRow);
            });
            //remove the last row
            rows.pop();
            var returnData = {
                rows: rows,
                lastRefresh: Date.now(),
                latestReading: rows[0]
            };
            return returnData;
        })
            .catch(this.handleError);
    };
    ;
    HomeService.prototype.handleError = function (error) {
        // in a real world app, we may send the server to some remote logging infrastructure
        // instead of just logging it to the console
        console.error(error);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs_Observable__["Observable"].throw(error.json().error || 'Server error');
    };
    HomeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["L" /* Injectable */])(), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */]])
    ], HomeService);
    return HomeService;
}());
var PushProcessingService = (function () {
    function PushProcessingService() {
    }
    return PushProcessingService;
}());
//# sourceMappingURL=home-service.js.map

/***/ }),

/***/ 558:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccountPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_app_config__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var AccountPage = (function () {
    function AccountPage(nav, platform, appConfig, loadingController) {
        //this.myLoadingPresent();
        var _this = this;
        this.nav = nav;
        this.platform = platform;
        this.appConfig = appConfig;
        this.loadingController = loadingController;
        this.appConfig.get().then(function (res) {
            _this.alertType = res;
            _this.alertsEnabled = true;
            //this.myLoadingDismiss();
        }, function (err) {
            _this.alertsEnabled = true;
            _this.alertType = 0;
            //this.myLoadingDismiss();
        });
    }
    AccountPage.prototype.myLoadingPresent = function () {
        this.pageLoader = this.loadingController.create({
            content: "Please wait..."
        });
        this.pageLoader.present();
    };
    AccountPage.prototype.myLoadingDismiss = function () {
        //if (this.pageLoader) {
        this.pageLoader.dismiss();
        //}
    };
    AccountPage.prototype.changeAlertLevel = function (level) {
        //All devices are subscribed automatically to 'all' and 'ios' or 'android' topic respectively.
        //Must match the following regular expression: "[a-zA-Z0-9-_.~%]{1,900}".
        this.myLoadingPresent();
        // FCMPlugin.unsubscribeFromTopic('red', () => {
        //   FCMPlugin.unsubscribeFromTopic('amber', () => {
        //     FCMPlugin.unsubscribeFromTopic('yellow', this.successTopicUnsubscribe('yellow'), this.errorTopicUnsubscribe('yellow'));
        //   }, this.errorTopicUnsubscribe('amber'));
        // }, this.errorTopicUnsubscribe('red'));
        FCMPlugin.unsubscribeFromTopic("red", this.successTopicUnsubscribe("red"), this.errorTopicSubscribe("red"));
        //this.myLoadingPresent();
        FCMPlugin.unsubscribeFromTopic("amber", this.successTopicUnsubscribe("amber"), this.errorTopicSubscribe("amber"));
        //this.myLoadingPresent();
        FCMPlugin.unsubscribeFromTopic("yellow", this.successTopicUnsubscribe("yellow"), this.errorTopicSubscribe("yellow"));
        if (level == "Red") {
            //this.myLoadingPresent();
            this.alertType = 3;
            this.appConfig.set(this.alertType);
            FCMPlugin.subscribeToTopic("red", this.successTopicSubscribe("red"), this.errorTopicSubscribe("red"));
        }
        if (level == "Amber") {
            //this.myLoadingPresent();
            this.alertType = 2;
            this.appConfig.set(this.alertType);
            FCMPlugin.subscribeToTopic("red", this.successTopicSubscribe("red"), this.errorTopicSubscribe("red"));
            //this.myLoadingPresent();
            FCMPlugin.subscribeToTopic("amber", this.successTopicSubscribe("amber"), this.errorTopicSubscribe("amber"));
        }
        if (level == "Yellow") {
            //this.myLoadingPresent();
            this.alertType = 1;
            this.appConfig.set(this.alertType);
            //this.myLoadingPresent();
            FCMPlugin.subscribeToTopic("red", this.successTopicSubscribe("red"), this.errorTopicSubscribe("red"));
            //this.myLoadingPresent();
            FCMPlugin.subscribeToTopic("amber", this.successTopicSubscribe("amber"), this.errorTopicSubscribe("amber"));
            //this.myLoadingPresent();
            FCMPlugin.subscribeToTopic("yellow", this.successTopicSubscribe("yellow"), this.errorTopicSubscribe("yellow"));
        }
        if (level == "None") {
            this.alertType = 0;
            this.appConfig.set(this.alertType);
        }
    };
    AccountPage.prototype.subscribeToTopic = function (colour, successMethod, errorMethod) {
        FCMPlugin.subscribeToTopic(colour, successMethod, errorMethod);
    };
    AccountPage.prototype.successTopicSubscribe = function (colour) {
        this.myLoadingDismiss();
    };
    AccountPage.prototype.errorTopicSubscribe = function (colour) {
        this.myLoadingDismiss();
    };
    AccountPage.prototype.successTopicUnsubscribe = function (colour) {
        this.myLoadingDismiss();
    };
    AccountPage.prototype.errorTopicUnsubscribe = function (colour) {
        this.myLoadingDismiss();
    };
    AccountPage.prototype.launch = function (url) {
        window.open(url, "_blank", "location=yes");
    };
    AccountPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["x" /* Component */])({
            selector: "page-account",template:/*ion-inline-start:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/account/account.html"*/'<ion-header class="no-shadow">\n\n  <ion-navbar class="no-border" color="blue">\n    <ion-title>Account</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content class="common-bg">\n\n  <!--user settings-->\n  <div padding>\n\n    <span class="bold" color="dark">Alert Level</span>\n    <ion-list class="card round list-full-border" radio-group [(ngModel)]="alertType">\n      <ion-item>\n        <ion-label>No Alerts</ion-label>\n        <ion-radio color=\'danger\' value="0" (click)="changeAlertLevel(\'None\')"></ion-radio>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>Yellow & Above</ion-label>\n        <ion-radio color=\'danger\' value="1" (click)="changeAlertLevel(\'Yellow\')"></ion-radio>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>Amber & Above</ion-label>\n        <ion-radio color=\'danger\' value="2" (click)="changeAlertLevel(\'Amber\')"></ion-radio>\n      </ion-item>\n\n      <ion-item>\n        <ion-label>Red Only</ion-label>\n        <ion-radio color=\'danger\' value="3" (click)="changeAlertLevel(\'Red\')"></ion-radio>\n      </ion-item>\n\n    </ion-list>\n\n\n    <span class="bold" color="dark">Useful Links</span>\n    <ion-list class="card round list-full-border">\n      <ion-item>\n        <span (click)="launch(\'http://aurorawatch.lancs.ac.uk/\')">\n        Aurora Watch UK website\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'https://twitter.com/aurorawatchuk\')">\n        Aurora Watch UK on Twitter\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'https://www.facebook.com/aurorawatchuk\')">\n        Aurora Watch UK on Facebook\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'http://www.flickr.com/groups/aurorawatch\')">\n        Aurora Watch UK on Flickr\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'http://aurorawatch.lancs.ac.uk/photo_sites\')">\n        Top Spots\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'http://aurorawatch.lancs.ac.uk/cgi-bin/report_sighting\')">\n        Aurora Watch UK Report Sighting\n        </span>\n      </ion-item>\n\n      <ion-item>\n        <span (click)="launch(\'http://development.n40jpj.com/\')">\n        Other N40JPJ Mobile Apps\n        </span>\n      </ion-item>\n    </ion-list>\n\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/pages/account/account.html"*/
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Platform */], __WEBPACK_IMPORTED_MODULE_0__providers_app_config__["a" /* AppConfig */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* LoadingController */]])
    ], AccountPage);
    return AccountPage;
}());
//# sourceMappingURL=account.js.map

/***/ }),

/***/ 559:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(560);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_module__ = __webpack_require__(658);



Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["_28" /* enableProdMode */])();
Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_2__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 658:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers_app_config__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(701);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_account_account__ = __webpack_require__(558);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_home_home__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_intro_intro__ = __webpack_require__(448);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_home_service__ = __webpack_require__(449);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_storage__ = __webpack_require__(164);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["T" /* NgModule */])({
            declarations: [__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], __WEBPACK_IMPORTED_MODULE_4__pages_account_account__["a" /* AccountPage */], __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */], __WEBPACK_IMPORTED_MODULE_6__pages_intro_intro__["a" /* IntroPage */]],
            imports: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */])],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], __WEBPACK_IMPORTED_MODULE_4__pages_account_account__["a" /* AccountPage */], __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */], __WEBPACK_IMPORTED_MODULE_6__pages_intro_intro__["a" /* IntroPage */]],
            providers: [
                __WEBPACK_IMPORTED_MODULE_0__providers_app_config__["a" /* AppConfig */],
                __WEBPACK_IMPORTED_MODULE_7__providers_home_service__["a" /* HomeService */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_storage__["a" /* Storage */]
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], AppModule);
    return AppModule;
}());
//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 701:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_native__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_intro_intro__ = __webpack_require__(448);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_home_home__ = __webpack_require__(202);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_app_config__ = __webpack_require__(163);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







// import pages
// end import pages
var MyApp = (function () {
    function MyApp(platform, appConfig, alertController, storage) {
        var _this = this;
        this.platform = platform;
        this.appConfig = appConfig;
        this.alertController = alertController;
        this.storage = storage;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_intro_intro__["a" /* IntroPage */];
        storage.get("introHasShown").then(function (result) {
            if (result) {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */];
            }
            else {
                storage.set("introHasShown", true);
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_intro_intro__["a" /* IntroPage */];
            }
        });
        this.platform.ready().then(function () {
            _this.initializeApp();
        });
    }
    MyApp.prototype.initializeApp = function () {
        // Okay, so the platform is ready and our plugins are available.
        // Here you can do any higher level native things you might need.
        __WEBPACK_IMPORTED_MODULE_3_ionic_native__["c" /* StatusBar */].styleDefault();
        var current = this;
        FCMPlugin.getToken(function (token) {
            current.appConfig.get().then(function (res) {
                if (res == null) {
                    current.appConfig.set(1);
                    FCMPlugin.subscribeToTopic("red");
                    FCMPlugin.subscribeToTopic("amber");
                    FCMPlugin.subscribeToTopic("yellow");
                    current.hideSplashScreen();
                }
                else {
                    current.hideSplashScreen();
                }
            }, function (err) {
                current.hideSplashScreen();
                alert("error with notifications: " + err);
            });
        }, function (err) {
            alert("error retrieving token: " + err);
        });
        FCMPlugin.onNotification(function (data) {
            if (data.wasTapped) {
            }
            else {
                //Notification was received in foreground. Maybe the user needs to be notified.
                var newNotification = current.alertController.create({
                    title: "Alert Status Update",
                    subTitle: "The Alert Status has just been updated",
                    buttons: ["OK"]
                });
                newNotification.present();
            }
        }, function (msg) {
            console.log("onNotification callback successfully registered: " + msg);
        }, function (err) {
            console.log("Error registering onNotification callback: " + err);
        });
    };
    MyApp.prototype.openPage = function (page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        this.nav.setRoot(page.component);
    };
    // hide splash screen
    MyApp.prototype.hideSplashScreen = function () {
        if (__WEBPACK_IMPORTED_MODULE_3_ionic_native__["b" /* Splashscreen */]) {
            setTimeout(function () {
                __WEBPACK_IMPORTED_MODULE_3_ionic_native__["b" /* Splashscreen */].hide();
            }, 500);
        }
    };
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["x" /* Component */])({template:/*ion-inline-start:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/app/app.html"*/'<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"/Users/N40JPJ/Projects/aurorawatchuk-v2/src/app/app.html"*/,
            queries: {
                nav: new __WEBPACK_IMPORTED_MODULE_0__angular_core__["_21" /* ViewChild */]("content")
            }
        }), 
        __metadata('design:paramtypes', [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* Platform */], __WEBPACK_IMPORTED_MODULE_6__providers_app_config__["a" /* AppConfig */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["a" /* Storage */]])
    ], MyApp);
    return MyApp;
}());
//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 714:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"./af": 450,
	"./af.js": 450,
	"./ar": 451,
	"./ar-dz": 452,
	"./ar-dz.js": 452,
	"./ar-ly": 453,
	"./ar-ly.js": 453,
	"./ar-ma": 454,
	"./ar-ma.js": 454,
	"./ar-sa": 455,
	"./ar-sa.js": 455,
	"./ar-tn": 456,
	"./ar-tn.js": 456,
	"./ar.js": 451,
	"./az": 457,
	"./az.js": 457,
	"./be": 458,
	"./be.js": 458,
	"./bg": 459,
	"./bg.js": 459,
	"./bn": 460,
	"./bn.js": 460,
	"./bo": 461,
	"./bo.js": 461,
	"./br": 462,
	"./br.js": 462,
	"./bs": 463,
	"./bs.js": 463,
	"./ca": 464,
	"./ca.js": 464,
	"./cs": 465,
	"./cs.js": 465,
	"./cv": 466,
	"./cv.js": 466,
	"./cy": 467,
	"./cy.js": 467,
	"./da": 468,
	"./da.js": 468,
	"./de": 469,
	"./de-at": 470,
	"./de-at.js": 470,
	"./de.js": 469,
	"./dv": 471,
	"./dv.js": 471,
	"./el": 472,
	"./el.js": 472,
	"./en-au": 473,
	"./en-au.js": 473,
	"./en-ca": 474,
	"./en-ca.js": 474,
	"./en-gb": 475,
	"./en-gb.js": 475,
	"./en-ie": 476,
	"./en-ie.js": 476,
	"./en-nz": 477,
	"./en-nz.js": 477,
	"./eo": 478,
	"./eo.js": 478,
	"./es": 479,
	"./es-do": 480,
	"./es-do.js": 480,
	"./es.js": 479,
	"./et": 481,
	"./et.js": 481,
	"./eu": 482,
	"./eu.js": 482,
	"./fa": 483,
	"./fa.js": 483,
	"./fi": 484,
	"./fi.js": 484,
	"./fo": 485,
	"./fo.js": 485,
	"./fr": 486,
	"./fr-ca": 487,
	"./fr-ca.js": 487,
	"./fr-ch": 488,
	"./fr-ch.js": 488,
	"./fr.js": 486,
	"./fy": 489,
	"./fy.js": 489,
	"./gd": 490,
	"./gd.js": 490,
	"./gl": 491,
	"./gl.js": 491,
	"./he": 492,
	"./he.js": 492,
	"./hi": 493,
	"./hi.js": 493,
	"./hr": 494,
	"./hr.js": 494,
	"./hu": 495,
	"./hu.js": 495,
	"./hy-am": 496,
	"./hy-am.js": 496,
	"./id": 497,
	"./id.js": 497,
	"./is": 498,
	"./is.js": 498,
	"./it": 499,
	"./it.js": 499,
	"./ja": 500,
	"./ja.js": 500,
	"./jv": 501,
	"./jv.js": 501,
	"./ka": 502,
	"./ka.js": 502,
	"./kk": 503,
	"./kk.js": 503,
	"./km": 504,
	"./km.js": 504,
	"./ko": 505,
	"./ko.js": 505,
	"./ky": 506,
	"./ky.js": 506,
	"./lb": 507,
	"./lb.js": 507,
	"./lo": 508,
	"./lo.js": 508,
	"./lt": 509,
	"./lt.js": 509,
	"./lv": 510,
	"./lv.js": 510,
	"./me": 511,
	"./me.js": 511,
	"./mi": 512,
	"./mi.js": 512,
	"./mk": 513,
	"./mk.js": 513,
	"./ml": 514,
	"./ml.js": 514,
	"./mr": 515,
	"./mr.js": 515,
	"./ms": 516,
	"./ms-my": 517,
	"./ms-my.js": 517,
	"./ms.js": 516,
	"./my": 518,
	"./my.js": 518,
	"./nb": 519,
	"./nb.js": 519,
	"./ne": 520,
	"./ne.js": 520,
	"./nl": 521,
	"./nl-be": 522,
	"./nl-be.js": 522,
	"./nl.js": 521,
	"./nn": 523,
	"./nn.js": 523,
	"./pa-in": 524,
	"./pa-in.js": 524,
	"./pl": 525,
	"./pl.js": 525,
	"./pt": 526,
	"./pt-br": 527,
	"./pt-br.js": 527,
	"./pt.js": 526,
	"./ro": 528,
	"./ro.js": 528,
	"./ru": 529,
	"./ru.js": 529,
	"./se": 530,
	"./se.js": 530,
	"./si": 531,
	"./si.js": 531,
	"./sk": 532,
	"./sk.js": 532,
	"./sl": 533,
	"./sl.js": 533,
	"./sq": 534,
	"./sq.js": 534,
	"./sr": 535,
	"./sr-cyrl": 536,
	"./sr-cyrl.js": 536,
	"./sr.js": 535,
	"./ss": 537,
	"./ss.js": 537,
	"./sv": 538,
	"./sv.js": 538,
	"./sw": 539,
	"./sw.js": 539,
	"./ta": 540,
	"./ta.js": 540,
	"./te": 541,
	"./te.js": 541,
	"./tet": 542,
	"./tet.js": 542,
	"./th": 543,
	"./th.js": 543,
	"./tl-ph": 544,
	"./tl-ph.js": 544,
	"./tlh": 545,
	"./tlh.js": 545,
	"./tr": 546,
	"./tr.js": 546,
	"./tzl": 547,
	"./tzl.js": 547,
	"./tzm": 548,
	"./tzm-latn": 549,
	"./tzm-latn.js": 549,
	"./tzm.js": 548,
	"./uk": 550,
	"./uk.js": 550,
	"./uz": 551,
	"./uz.js": 551,
	"./vi": 552,
	"./vi.js": 552,
	"./x-pseudo": 553,
	"./x-pseudo.js": 553,
	"./yo": 554,
	"./yo.js": 554,
	"./zh-cn": 555,
	"./zh-cn.js": 555,
	"./zh-hk": 556,
	"./zh-hk.js": 556,
	"./zh-tw": 557,
	"./zh-tw.js": 557
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number or string
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 714;

/***/ })

},[559]);
//# sourceMappingURL=main.js.map